//---------------------------------------------------------------------------
#ifndef DialOptionsH
#define DialOptionsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
//---------------------------------------------------------------------------
class TDialOptionsDlg : public TForm
{
__published:	// IDE-managed Components
	TGroupBox *DCGroup1;
	TComboBox *DCCountryCombo;
	TLabel *Label1;
	TLabel *Label2;
	TEdit *DCAreaCode;
	TLabel *Label3;
	TEdit *DCPhoneNo;
	TCheckBox *cbUseCountryCode;
	TGroupBox *DCGroup2;
	TComboBox *DCLocationCombo;
	TButton *DCLocationProperties;
	TLabel *Label4;
	TLabel *DCNumberLabel;
	TButton *DCOkBtn;
	TButton *DCCancelBtn;
	void __fastcall FormShow(TObject *Sender);
	void __fastcall DCLocationPropertiesClick(TObject *Sender);
	void __fastcall cbUseCountryCodeClick(TObject *Sender);
	void __fastcall DCCountryComboChange(TObject *Sender);
	
	void __fastcall DCOkBtnClick(TObject *Sender);
private:	// User declarations
	void __fastcall SetCountryEnable();
	void __fastcall ShowNumber();
public:		// User declarations
	__fastcall TDialOptionsDlg(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TDialOptionsDlg *DialOptionsDlg;
//---------------------------------------------------------------------------
#endif
